import request from '@/utils/request'
// 部门查询
export function DepartmentSelect() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_组织结构维护_部门查询',
      param: 'MU=' + arguments[0]
    }
  })
}
// 人员查询
export function personSelect() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_组织结构维护_人员查询',
      param: 'MU=' + arguments[0] + '\\&' + '部门=' + arguments[1] + '\\&' + 'MU_check=' + arguments[2] + '\\&' + '部门_check=' + arguments[3]
    }
  })
}
// MU查询
export function MUSelect() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_组织结构维护_MU查询'
    }
  })
}
// 人员信息修改
export function personUpdate() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '奖金绩效系统_组织结构维护_人员修改',
      param: 'id=' + arguments[0] + '\\&' + 'OrgUnit=' + arguments[1] + '\\&' + 'Area=' + arguments[2] + '\\&' + 'N_1姓名=' + arguments[3] + '\\&' + '@N_1工号=' + arguments[4] + '\\&' + '部门=' + arguments[5] + '\\&' + 'N_2姓名=' + arguments[6] + '\\&' + 'N_2工号=' + arguments[7] + '\\&' + 'MU_GM=' + arguments[8] + '\\&' + 'N_3姓名=' + arguments[9] + '\\&' + 'N_3工号=' + arguments[10]
    }
  })
}

